> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Role

> Update a role.

Requires: org:rbac:update scope



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json patch /rbac/roles/{role_id}
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /rbac/roles/{role_id}:
    patch:
      tags:
        - rbac
      summary: Update Role
      description: |-
        Update a role.

        Requires: org:rbac:update scope
      operationId: rbac-update_role
      parameters:
        - name: role_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Role Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RoleUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RoleReadWithScopes'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
        - ServiceAccountApiKeyBearer: []
components:
  schemas:
    RoleUpdate:
      properties:
        name:
          anyOf:
            - type: string
              maxLength: 128
              minLength: 1
            - type: 'null'
          title: Name
          description: Role name
        description:
          anyOf:
            - type: string
              maxLength: 512
            - type: 'null'
          title: Description
          description: Optional description of the role
        scope_ids:
          anyOf:
            - items:
                type: string
                format: uuid
              type: array
            - type: 'null'
          title: Scope Ids
          description: List of scope IDs to assign to the role (replaces existing)
      type: object
      title: RoleUpdate
      description: Update schema for a role.
    RoleReadWithScopes:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        slug:
          anyOf:
            - type: string
            - type: 'null'
          title: Slug
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        organization_id:
          type: string
          format: uuid
          title: Organization Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
        created_by:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Created By
        scopes:
          items:
            $ref: '#/components/schemas/ScopeRead'
          type: array
          title: Scopes
        is_system:
          type: boolean
          title: Is System
          description: Whether this is a preset system role.
          readOnly: true
      type: object
      required:
        - id
        - name
        - organization_id
        - created_at
        - updated_at
        - is_system
      title: RoleReadWithScopes
      description: Read schema for a role with its scopes.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ScopeRead:
      properties:
        id:
          type: string
          format: uuid
          title: Id
        name:
          type: string
          title: Name
        resource:
          type: string
          title: Resource
        action:
          type: string
          title: Action
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        source:
          $ref: '#/components/schemas/ScopeSource'
        source_ref:
          anyOf:
            - type: string
            - type: 'null'
          title: Source Ref
        organization_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Organization Id
        created_at:
          type: string
          format: date-time
          title: Created At
        updated_at:
          type: string
          format: date-time
          title: Updated At
      type: object
      required:
        - id
        - name
        - resource
        - action
        - source
        - created_at
        - updated_at
      title: ScopeRead
      description: Read schema for a scope.
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    ScopeSource:
      type: string
      enum:
        - platform
        - custom
      title: ScopeSource
      description: Source/ownership of a scope definition.
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth
    ServiceAccountApiKeyBearer:
      type: http
      description: Tracecat service account API key.
      scheme: bearer

````